#ifndef __BERZERK_BREW_H__
#define __BERZERK_BREW_H__

#include "potion.h"

class berzerk_brew final: public potion {
        static const int ATK_MUL = 2;
        inline static const float DEF_MUL = 0.5f;
        static const int DURATION = 15;
public:
        berzerk_brew(const position &pos);
        void apply(const enum race &race, int &HP, int &ATK, int &DEF,
                   fraction &base_hit_rate) override;
        int get_priority() const override;
        const char *get_name() const override;
};

#endif
